Page MenuHomePhabricator

"Search the docs" that searches static documentation as well as on-wiki doc namespaces.
Closed, DeclinedPublic

Description

Generated documentation, currently on doc.wikimedia.org, is not found when users search developer documentation on mediawiki.org.

We need cross-site search (Or... revisit publishing static content to mw.org and its license issues).

"hashar says that Nik says this is doable". E.g. ElasticSearch can index HTML content on doc.wikimedia.org. Somehow have to search in this as well as some mediawiki.org namespces when searching "Developer documentation."

Event Timeline

Spage raised the priority of this task from to Medium.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 9:37 PM
brion added a subscriber: brion.Jan 28 2015, 10:07 PM

This perhaps could be done with some sort of extension that provides an access layer over the HTML documentation and exposes it to CirrusSearch. Not sure how hard though.

Qgil awarded a token.Jan 28 2015, 10:40 PM
Spage moved this task from Backlog to Tech on the Web-APIs-Hub board.Feb 2 2015, 11:30 PM
Qgil lowered the priority of this task from Medium to Low.Feb 4 2015, 8:50 AM
Qgil added a subscriber: Qgil.

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 17 2018, 6:33 PM
debt added a subscriber: debt.

This doesn't look like something that the Discovery-Search team would work on right now, at least not until there is more concrete info.

Qgil removed a subscriber: Qgil.Aug 27 2018, 2:25 PM
Aklapper closed this task as Declined.Oct 7 2019, 11:17 AM

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.